/*
 * ========================================================================
 *
 * Codehaus CARGO, copyright 2004-2011 Vincent Massol.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * ========================================================================
 */
package org.codehaus.cargo.container.spi.jvm;

import org.codehaus.cargo.util.CargoException;

/**
 * Exception thrown to signal a failure to launch a JVM.
 * 
 * @version $Id: JvmLauncherException.java 2721 2011-03-09 21:13:15Z bentmann $
 */
public class JvmLauncherException extends CargoException
{

    /**
     * @param message The error message, may be {@code null}.
     */
    public JvmLauncherException(String message)
    {
        super(message);
    }

    /**
     * @param message The error message, may be {@code null}.
     * @param cause The error cause, may be {@code null}.
     */
    public JvmLauncherException(String message, Throwable cause)
    {
        super(message, cause);
    }

}
